const express = require('express')
const ws = require('ws')
const MongoClient = require('mongodb').MongoClient


const app = express()
const port = 3000
const wss = new ws.Server({ port: 9000 });


app.set('view engine', 'ejs');


MongoClient.connect('mongodb://localhost:27017/animals', (err, db) => {
    if (err) throw err

    db.collection('mammals').find().toArray((err, result) => {
        if (err) throw err

        console.log(result)
    })
})

app.get('/', (req, res) => {
    res.render('index')
})

app.get('/ws', (req, res) => {
    res.render('ws')
})

wss.on('connection', (ws) => {
    console.log('A new client connected');

    // Send a message to the client
    ws.send('Hello from server!');

    // Listen for messages from the client
    ws.on('message', (message) => {
        console.log(`Received message from client: ${message}`);
    });

    // Handle client disconnect
    ws.on('close', () => {
        console.log('Client disconnected');
    });
});


app.listen(port, () => {
    console.log(`Example app listening on port ${port}`)
})